Subject: JFK death
From: Harold Geissenheimer <[email-masked]>
To: [email-masked]
Date: Mon, 22 Nov 2004 11:41:31 -0500

Greetings to all

Where were you the day JFK was shot?

In my case, there is a story connected to PAT.

I was manager of Community Transit on loan half time to
PAT before the takeover.  Col Swift , PAT ED, asked me to
take John Dameron out on the Library line in the morning.
Dameron was to meet with the PAT board that afternoon.

John had met Judge Lewis when the Judge went to St Louis
to review the BiState takeover of 15 bus lines.  Dameron was
#3 or 4 in the BiState mgmt and was given the job to take the
judge around..

I took John out on the trolley and as we returned thru Castle
Shannon, a passenger boarded with a portable radio and
reported on the shooting..  No TV, just the portable radio
on the trolley.

Hows that for a JFK memory?

Later when John left Pgh and I became Transit Director
under John Mauro, I received a nice letter from a former
associate of John at BiState, Guido Moss (#2 at BiState)
congratulating me.  It was clear he was no Dameron enthusiast.

Dameron in a short time replaced Col Swift as PAT ED.
He was hired originally to only be general manager.

OTHER NEWS
Just received an email that Ed Blossom, a rebuilder of
museum trolley cars, has passed away.  Ed was an
artist in peservation.  One of his last cars is on
display at the Electric City museum..  A good guy
most famous for his activities at Bloomsburg/

Harold H Geissenheimer